Subject: [Mgs] 1970 MGB turn signal switch replacement

From: "davewillner" <[email-masked]>
Date: Sat, 22 Jun 2013 20:14:44 -0400

I need to replace the turn signal switch and I'm having trouble removing the
two piece steering column cowl on my 70 after removing (I think all of them)
all the screws. The bottom seams to split ok but the top is not "braking" free
and I'm afraid I may crack them with any more force. Is there a hidden screw
or some trick I need to try. Appreciate the help, thanks

Dave Willner
Stroudsburg PA
59 TR3A
70 MGB
70 BSA 441 VS
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]